﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_ASSIGNENTRY') 
 CREATE TABLE T_OCMEM_ASSIGNENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FASSIGNORGID BIGINT DEFAULT 0 NOT NULL,
FASSIGNPARENTORGID BIGINT DEFAULT 0 NOT NULL,
FASSIGNCHANNELID BIGINT DEFAULT 0 NOT NULL,
FASSIGNEXPENSETYPEID BIGINT DEFAULT 0 NOT NULL,
FASSIGNAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_EXPENSEBUDGET') 
 CREATE TABLE T_OCMEM_EXPENSEBUDGET (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FYEAR DATETIME,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPARENTORGID BIGINT DEFAULT 0 NOT NULL,
FEXPENSETYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAVAILABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_BGRECORD') 
 CREATE TABLE T_OCMEM_BGRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBUDGETBALANCEID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFEETYPE BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBILL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOPERATION CHAR(1) DEFAULT ' ' NOT NULL,
FBEFOREAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUPDATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_BCADJUSTBILL') 
 CREATE TABLE T_OCMEM_BCADJUSTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADJUSTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_BCADJUSTENTRY') 
 CREATE TABLE T_OCMEM_BCADJUSTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FFEETYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FNEWAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FBUDGETBALANCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_ASSIGNBUDGET') 
 CREATE TABLE T_OCMEM_ASSIGNBUDGET (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBUDGETNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZDATE DATETIME,
FEXPENSEBUDGETID BIGINT DEFAULT 0 NOT NULL,
FYEAR DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPARENTORGID BIGINT DEFAULT 0 NOT NULL,
FEXPENSETYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAVAILABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSIGNAVAILABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBUDGETBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_table.sql **/
