﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_ASSIGNENTRY' AND KSQL_COL_NAME ='FASSIGNRATE') 
 ALTER TABLE T_OCMEM_ASSIGNENTRY ADD (FASSIGNRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_ASSIGNENTRY' AND KSQL_COL_NAME ='FESTIMATESALEAMT') 
 ALTER TABLE T_OCMEM_ASSIGNENTRY ADD (FESTIMATESALEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_ASSIGNENTRY' AND KSQL_COL_NAME ='FENTRYESTIMATEAMT') 
 ALTER TABLE T_OCMEM_ASSIGNENTRY ADD (FENTRYESTIMATEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_ASSIGNENTRY' AND KSQL_COL_NAME ='FENTRYPARENTEXPENSEID') 
 ALTER TABLE T_OCMEM_ASSIGNENTRY ADD (FENTRYPARENTEXPENSEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_BCADJUSTBILL' AND KSQL_COL_NAME ='FBILLSOURCE') 
 ALTER TABLE T_OCMEM_BCADJUSTBILL ADD (FBILLSOURCE CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_ASSIGNBUDGET' AND KSQL_COL_NAME ='FBUDGETASSIGNTYPE') 
 ALTER TABLE T_OCMEM_ASSIGNBUDGET ADD (FBUDGETASSIGNTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_ASSIGNBUDGET' AND KSQL_COL_NAME ='FSALEAMOUNT') 
 ALTER TABLE T_OCMEM_ASSIGNBUDGET ADD (FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_ASSIGNBUDGET' AND KSQL_COL_NAME ='FEXPENSERATE') 
 ALTER TABLE T_OCMEM_ASSIGNBUDGET ADD (FEXPENSERATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_ASSIGNBUDGET' AND KSQL_COL_NAME ='FYEARESTIMATEAMT') 
 ALTER TABLE T_OCMEM_ASSIGNBUDGET ADD (FYEARESTIMATEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_BUDGETDATAPOOL') 
 CREATE TABLE T_OCMEM_BUDGETDATAPOOL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FCOMFIRMUSERID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FISROLLEDBUDGET CHAR(1) DEFAULT '0' NOT NULL,
FROLLBUDGETTIME DATETIME,
FTOTALBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_BUDGETPOOL_E') 
 CREATE TABLE T_OCMEM_BUDGETPOOL_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISBUDGET CHAR(1) DEFAULT '0' NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FENTRYTYPE') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FENTRYTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FWRITEOFF') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FWRITEOFF CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FENTRYACCOUNTID') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FENTRYACCOUNTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FAUXPTYID') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FAUXPTYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FENTRYCHANNELID') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FENTRYCHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FVERIFIEDQTY') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FVERIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FORIGINALQTY') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FORIGINALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FORIGINALAMT') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FORIGINALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FFINALQTY') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FFINALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMENTRY' AND KSQL_COL_NAME ='FFINALAMT') 
 ALTER TABLE T_OCMEM_MC_REIMENTRY ADD (FFINALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FENTRYTYPE') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FENTRYTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FWRITEOFF') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FWRITEOFF CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FENTRYACCOUNTID') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FENTRYACCOUNTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FAUXPTYID') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FAUXPTYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FENTRYCHANNELID') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FENTRYCHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FVERIFIEDQTY') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FVERIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FORIGINALQTY') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FORIGINALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FORIGINALAMT') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FORIGINALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FFINALQTY') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FFINALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLYE' AND KSQL_COL_NAME ='FFINALAMT') 
 ALTER TABLE T_OCMEM_MCOST_APPLYE ADD (FFINALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMBURSE' AND KSQL_COL_NAME ='FEXPENSEPROJECTID') 
 ALTER TABLE T_OCMEM_MC_REIMBURSE ADD (FEXPENSEPROJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMBURSE' AND KSQL_COL_NAME ='FPARENTEXPENSEID') 
 ALTER TABLE T_OCMEM_MC_REIMBURSE ADD (FPARENTEXPENSEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMBURSE' AND KSQL_COL_NAME ='FAGENCYID') 
 ALTER TABLE T_OCMEM_MC_REIMBURSE ADD (FAGENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MC_REIMBURSE' AND KSQL_COL_NAME ='FWARZONEID') 
 ALTER TABLE T_OCMEM_MC_REIMBURSE ADD (FWARZONEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLY' AND KSQL_COL_NAME ='FWARZONEID') 
 ALTER TABLE T_OCMEM_MCOST_APPLY ADD (FWARZONEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLY' AND KSQL_COL_NAME ='FAGENCYID') 
 ALTER TABLE T_OCMEM_MCOST_APPLY ADD (FAGENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLY' AND KSQL_COL_NAME ='FPARENTEXPENSEID') 
 ALTER TABLE T_OCMEM_MCOST_APPLY ADD (FPARENTEXPENSEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_MCOST_APPLY' AND KSQL_COL_NAME ='FEXPENSEPROJECTID') 
 ALTER TABLE T_OCMEM_MCOST_APPLY ADD (FEXPENSEPROJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_BGPSET') 
 CREATE TABLE T_OCMEM_BGPSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FDATATYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(512) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FFILTERSCHEME NCLOB,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_BGPSET_L') 
 CREATE TABLE T_OCMEM_BGPSET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_EXPENSEBUDGET' AND KSQL_COL_NAME ='FSALEAMOUNT') 
 ALTER TABLE T_OCMEM_EXPENSEBUDGET ADD (FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCMEM_EXPENSEBUDGET' AND KSQL_COL_NAME ='FEXPENSERATE') 
 ALTER TABLE T_OCMEM_EXPENSEBUDGET ADD (FEXPENSERATE DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_table.sql **/
