﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_MC_RECEENTRY') 
 CREATE TABLE T_OCMEM_MC_RECEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYERACCOUNT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVABLEAMTLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYERID BIGINT DEFAULT 0 NOT NULL,
FPAYERBANKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_MC_REIMBURSE') 
 CREATE TABLE T_OCMEM_MC_REIMBURSE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FEXPENSETYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYMETHODID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMTAPPLY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTTOTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMTUNAPPROVED DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREASONS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FTOTALAMTINVOICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCLUDETAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FINVOICETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCOSTCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FCOSTDEPTID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_MC_REIMENTRY') 
 CREATE TABLE T_OCMEM_MC_REIMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FITEMINFOID BIGINT DEFAULT 0 NOT NULL,
FDISPLAYTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDISPLAYAREA NVARCHAR(100) DEFAULT ' ' NOT NULL,
FIMAGESIZE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTAPPLY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTION CHAR(1) DEFAULT '0' NOT NULL,
FPRODUCTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONTHEME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTIONADDRESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTRACTPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREACHRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLOSSRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTAPPROVED DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTUNAPPROVED DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDSHOPID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FCOSTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_MCOST_APPLY') 
 CREATE TABLE T_OCMEM_MCOST_APPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FEXPENSETYPEID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMTAPPROVED DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMTUNAPPROVED DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FEXECSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCOSTCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FCOSTDEPTID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FREASON NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFREEZESTATUS CHAR(1) DEFAULT 'E' NOT NULL,
FFREEZEDATE DATETIME,
FPAYMENTHODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_MCOST_APPLYE') 
 CREATE TABLE T_OCMEM_MCOST_APPLYE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FITEMINFOID BIGINT DEFAULT 0 NOT NULL,
FDISPLAYTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FDISPLAYAREA NVARCHAR(100) DEFAULT ' ' NOT NULL,
FIMAGESIZE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYBEGINDATE DATETIME,
FENTRYENDDATE DATETIME,
FPROMOTION CHAR(1) DEFAULT '0' NOT NULL,
FPRODUCTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONTHEME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTIONADDRESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTRACTPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREACHRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLOSSRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTAPPROVED DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTUNAPPROVED DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDSHOPID BIGINT DEFAULT 0 NOT NULL,
FISEXECUTED CHAR(1) DEFAULT '0' NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FCOSTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_MCOSTEXECUTE') 
 CREATE TABLE T_OCMEM_MCOSTEXECUTE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTAPPLYENTRYID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FEXECADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FEXECDEVICE NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_MCOSTEXECUTE_L') 
 CREATE TABLE T_OCMEM_MCOSTEXECUTE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_MCOSTEXECUTEE') 
 CREATE TABLE T_OCMEM_MCOSTEXECUTEE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPICURL NVARCHAR(200) DEFAULT ' ' NOT NULL,
FTHUMBNAILURLURL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_PPAPPLY_ENTRY') 
 CREATE TABLE T_OCMEM_PPAPPLY_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMEASUREUNIT BIGINT DEFAULT 0 NOT NULL,
FREFPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPLYPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEMAGRIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTMAGRIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOLICYSTARTTIME DATETIME,
FPOLICYENDTIME DATETIME,
FMONTHLYPOLICYPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUANTITY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_PPOLICY_APPLY') 
 CREATE TABLE T_OCMEM_PPOLICY_APPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FPRICEPOLICYTYPE BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCOMPETITIONSTATUS NVARCHAR(526) DEFAULT ' ' NOT NULL,
FAPPLYREASON NVARCHAR(526) DEFAULT ' ' NOT NULL,
FCUSTOMERGROUP NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_table.sql **/
