﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_ACTIVITYPLAN') 
 CREATE TABLE T_OCMEM_ACTIVITYPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FACTIVITYTYPEID BIGINT DEFAULT 0 NOT NULL,
FPLANDATE DATETIME,
FPLANORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTACTIVITYDATE DATETIME,
FENDACTIVITYDATE DATETIME,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSUMFEEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEESALERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANTARGET NVARCHAR(510) DEFAULT ' ' NOT NULL,
FPLANDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_AP_CHLENTRY') 
 CREATE TABLE T_OCMEM_AP_CHLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCHANNELCLASSESID BIGINT DEFAULT 0 NOT NULL,
FCHANNELGRADEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_AP_ITEMENTRY') 
 CREATE TABLE T_OCMEM_AP_ITEMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FITEMBRANDID BIGINT DEFAULT 0 NOT NULL,
FITEMGROUPID BIGINT DEFAULT 0 NOT NULL,
FITEMREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_AP_PLANENTRY') 
 CREATE TABLE T_OCMEM_AP_PLANENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXPENSEROWTYPEID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FFEEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOMPANYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEEENTRYREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCMEM_AP_ORGENTRY') 
 CREATE TABLE T_OCMEM_AP_ORGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYORGID BIGINT DEFAULT 0 NOT NULL,
FEXPENSESOURCE CHAR(1) DEFAULT ' ' NOT NULL,
FEXPENSETYPEID BIGINT DEFAULT 0 NOT NULL,
FBUDGETYEARID BIGINT DEFAULT 0 NOT NULL,
FBUDGETAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGROWREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_table.sql **/
