﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCMEM_MC_RECEENTRY', 'T_OCMEM_MC_RECEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MC_RECEENTRY_FID') CREATE INDEX IDX_OCMEM_MC_RECEENTRY_FID ON T_OCMEM_MC_RECEENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCMEM_MC_REIMBURSE', 'T_OCMEM_MC_REIMBURSE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCR_FBNO') CREATE INDEX IDX_OCMEM_MCR_FBNO ON T_OCMEM_MC_REIMBURSE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCR_FSOID') CREATE INDEX IDX_OCMEM_MCR_FSOID ON T_OCMEM_MC_REIMBURSE ( FSOURCEBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCR_FAID') CREATE INDEX IDX_OCMEM_MCR_FAID ON T_OCMEM_MC_REIMBURSE ( FAPPLYBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCR_FBILLDATE') CREATE INDEX IDX_OCMEM_MCR_FBILLDATE ON T_OCMEM_MC_REIMBURSE ( FBILLDATE );


 EXEC P_ALTERPK 'PK_OCMEM_MC_REIMENTRY', 'T_OCMEM_MC_REIMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCRE_FID') CREATE INDEX IDX_OCMEM_MCRE_FID ON T_OCMEM_MC_REIMENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCRE_FSID') CREATE INDEX IDX_OCMEM_MCRE_FSID ON T_OCMEM_MC_REIMENTRY ( FSOURCEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCRE_FSEID') CREATE INDEX IDX_OCMEM_MCRE_FSEID ON T_OCMEM_MC_REIMENTRY ( FSOURCEENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCRE_ITEMID') CREATE INDEX IDX_OCMEM_MCRE_ITEMID ON T_OCMEM_MC_REIMENTRY ( FITEMINFOID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCRE_OSPID') CREATE INDEX IDX_OCMEM_MCRE_OSPID ON T_OCMEM_MC_REIMENTRY ( FOLDSHOPID );


 EXEC P_ALTERPK 'PK_OCMEM_MCOST_APPLY', 'T_OCMEM_MCOST_APPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCOST_FBNO') CREATE INDEX IDX_OCMEM_MCOST_FBNO ON T_OCMEM_MCOST_APPLY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCOST_FCUST') CREATE INDEX IDX_OCMEM_MCOST_FCUST ON T_OCMEM_MCOST_APPLY ( FORDERCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCOST_FDEPT') CREATE INDEX IDX_OCMEM_MCOST_FDEPT ON T_OCMEM_MCOST_APPLY ( FDEPTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCOST_FBILLDATE') CREATE INDEX IDX_OCMEM_MCOST_FBILLDATE ON T_OCMEM_MCOST_APPLY ( FBILLDATE );


 EXEC P_ALTERPK 'PK_OCMEM_MCOST_APPLYE', 'T_OCMEM_MCOST_APPLYE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCAE_FID') CREATE INDEX IDX_OCMEM_MCAE_FID ON T_OCMEM_MCOST_APPLYE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCAE_FSHOP') CREATE INDEX IDX_OCMEM_MCAE_FSHOP ON T_OCMEM_MCOST_APPLYE ( FSHOPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCAE_OSHOP') CREATE INDEX IDX_OCMEM_MCAE_OSHOP ON T_OCMEM_MCOST_APPLYE ( FOLDSHOPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCAE_ITEM') CREATE INDEX IDX_OCMEM_MCAE_ITEM ON T_OCMEM_MCOST_APPLYE ( FITEMINFOID );


 EXEC P_ALTERPK 'PK_OCMEM_MCOSTEXECUTE', 'T_OCMEM_MCOSTEXECUTE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCE_FNO') CREATE INDEX IDX_OCMEM_MCE_FNO ON T_OCMEM_MCOSTEXECUTE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCE_FCEID') CREATE INDEX IDX_OCMEM_MCE_FCEID ON T_OCMEM_MCOSTEXECUTE ( FCOSTAPPLYENTRYID );


 EXEC P_ALTERPK 'PK_OCMEM_MCOSTEXECUTE_L', 'T_OCMEM_MCOSTEXECUTE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCEL_FIDFLID') CREATE INDEX IDX_OCMEM_MCEL_FIDFLID ON T_OCMEM_MCOSTEXECUTE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCMEM_MCOSTEXECUTEE', 'T_OCMEM_MCOSTEXECUTEE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_MCEE_FID') CREATE INDEX IDX_OCMEM_MCEE_FID ON T_OCMEM_MCOSTEXECUTEE ( FID );


 EXEC P_ALTERPK 'PK_OCMEM_PPAPPLY_ENTRY', 'T_OCMEM_PPAPPLY_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_PPAE_FID') CREATE INDEX IDX_OCMEM_PPAE_FID ON T_OCMEM_PPAPPLY_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCMEM_PPOLICY_APPLY', 'T_OCMEM_PPOLICY_APPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_PPA_FBNO') CREATE INDEX IDX_OCMEM_PPA_FBNO ON T_OCMEM_PPOLICY_APPLY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_PPA_FCTIME') CREATE INDEX IDX_OCMEM_PPA_FCTIME ON T_OCMEM_PPOLICY_APPLY ( FCREATETIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCMEM_PPA_FOWNER') CREATE INDEX IDX_OCMEM_PPA_FOWNER ON T_OCMEM_PPOLICY_APPLY ( FSALECHANNELID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCMEM_constraint.sql **/
